<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_fd02c7e3d45300b40c3d9" . "698e7b27faf" => base64_decode("ZGlzY" . "WJsZW" . "Q="), "t" . "y" . "p" . "e" => base64_decode("dHlwZ" . "Q=="), "_354b3b07bdaa4e702886" . "b2fdf9dd11ce" => base64_decode("bmV3X3dpb" . "mRvdw=="), "ur" . "l" => base64_decode("dXJ" . "s"), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "titl" . "e" => base64_decode("dGl0b" . "GU="), "_aad576a27d4270db0bcce79b5b7" . "65b54" => base64_decode("aWNv" . "bg=="));
use Claromentis\Core\Icon\IconFormatter;
class MenuItemFormatter
{
    private IconFormatter $iconFormatter;
    public function __construct(IconFormatter $iconFormatter)
    {
        $this->iconFormatter = $iconFormatter;
    }
    
    
    
    
    
    
    
    public function toArray(MenuItemInterface $_c5ca63e2f3cceb505a5417b4abb64d55) : array
    {
        $_fd62bc4eaaf7d58dea9bada3e30443b9 = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["ty" . "pe"] => $_c5ca63e2f3cceb505a5417b4abb64d55->getType()];
        $id = $_c5ca63e2f3cceb505a5417b4abb64d55->getId();
        if (isset($id)) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["i" . "d"]] = $id;
        }
        if ($_c5ca63e2f3cceb505a5417b4abb64d55 instanceof MenuItemLinkInterface) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_fd02c7e3d45300b40c3d96" . "98e7b27faf"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getDisabled();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_354b3b07bdaa4e702886b2fdf9dd11" . "ce"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getNewWindow();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["titl" . "e"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getTitle();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["u" . "r" . "l"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getUrl();
            if (($_aad576a27d4270db0bcce79b5b765b54 = $_c5ca63e2f3cceb505a5417b4abb64d55->getIcon()) !== null) {
                $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_aad576a27d4270db0bcc" . "e79b5b765b54"]] = $this->iconFormatter->toArray($_aad576a27d4270db0bcce79b5b765b54);
            }
        }
        return $_fd62bc4eaaf7d58dea9bada3e30443b9;
    }
}